Brightcove Player SDK for Android: Previous SDK information

Product(s)
Video Cloud
Brightcove Player
Role(s)
Device SDK Developer
Topic(s)
Release Notes
SDK
Android

This topic shows the previous SDK and plugin versions for the Native Player SDK for Android.

Previous releases

SDK v6.8.0

1 May 2019

The supported framework uses ExoPlayer 2 v2.9.6

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin 6.8.0 FreeWheel AdManager library 6.28.0
IMA plugin 6.8.0 Google IMA 3.11.2
OnceUX plugin 6.8.0
(Deprecated)
onceux-android-library 2.1.17
SSAI plugin 6.8.0 None
VMAP plugin 6.8.0 None
Analytics Omniture plugin 6.8.0 AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Cast plugin 6.8.0 ExoPlayer Cast Extension 2.7.0

SDK v6.7.0

5 Apr 2019

The supported framework uses ExoPlayer 2 v2.7.0

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin 6.7.0 FreeWheel AdManager library 6.23.0
IMA plugin 6.7.0 Google IMA 3-3.9.0
OnceUX plugin 6.7.0
(Deprecated)
onceux-android-library 2.1.17
SSAI plugin 6.7.0 None
VMAP plugin 6.7.0 None
Analytics Omniture plugin 6.7.0 AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Cast plugin 6.7.0 ExoPlayer Cast Extension 2.7.0

SDK v6.6.0

29 Mar 2019

The supported framework uses ExoPlayer 2 v2.7.0

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v6.6.0 FreeWheel AdManager library v6.23.0
IMA plugin v6.6.0 Google IMA v3-3.9.0
OnceUX plugin v6.6.0 onceux-android-library 2.1.17
VMAP plugin v6.6.0 None
Analytics Omniture plugin v6.6.0 AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Cast plugin v6.6.0 ExoPlayer Cast Extension v2.7.0

SDK v6.5.1

12 Feb 2019

The supported framework uses ExoPlayer 2 v2.7.0

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v6.5.1 FreeWheel AdManager library v6.23.0
IMA plugin v6.5.1 Google IMA v3-3.9.0
OnceUX plugin v6.5.1 onceux-android-library 2.1.17
VMAP plugin v6.5.1 None
Analytics Omniture plugin v6.5.1 AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Cast plugin v6.5.1 ExoPlayer Cast Extension v2.7.0

SDK v6.5.0

6 Dec 2018

The supported framework uses ExoPlayer 2 v2.7.0

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v6.5.0 FreeWheel AdManager library v6.23.0
IMA plugin v6.5.0 Google IMA v3-3.9.0
OnceUX plugin v6.5.0 onceux-android-library 2.1.17
VMAP plugin v6.5.0 None
Analytics Omniture plugin v6.5.0 AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Cast plugin v6.5.0 ExoPlayer Cast Extension v2.7.0

SDK v6.4.0

17 Oct 2018

The supported framework uses ExoPlayer 2 v2.7.0

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v6.4.0 FreeWheel AdManager library v6.23.0
IMA plugin v6.4.0 Google IMA v3-3.9.0
OnceUX plugin v6.4.0 onceux-android-library 2.1.17
VMAP plugin v6.4.0 None
Analytics Omniture plugin v6.4.0 AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Cast plugin v6.4.0 ExoPlayer Cast Extension v2.7.0

SDK v6.3.2

24 Sep 2018

The supported framework uses ExoPlayer 2 v2.7.0

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v6.3.2 FreeWheel AdManager library v6.23.0
IMA plugin v6.3.2 Google IMA v3-3.9.0
OnceUX plugin v6.3.2 onceux-android-library 2.1.17
VMAP plugin v6.3.2 None
Analytics Omniture plugin v6.3.2 AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Cast plugin v6.3.2 ExoPlayer Cast Extension v2.7.0

SDK v6.3.1

09 Aug 2018

The supported framework uses ExoPlayer 2 v2.7.0

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v6.3.1 FreeWheel AdManager library v6.23.0
IMA plugin v6.3.1 Google IMA v3-3.9.0
OnceUX plugin v6.3.1 onceux-android-library 2.1.17
VMAP plugin v6.3.1 None
Analytics Omniture plugin v6.3.1 AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Cast plugin v6.3.1 ExoPlayer Cast Extension v2.7.0

SDK v6.3.0

27 July 2018

The supported framework uses ExoPlayer 2 v2.7.0

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v6.3.0 [1] FreeWheel AdManager library v6.23.0
IMA plugin v6.3.0 Google IMA v3-3.9.0
OnceUX plugin v6.3.0 onceux-android-library 2.1.17
VMAP plugin v6.3.0 [3] None
Analytics Omniture plugin v6.3.0 [4] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Cast plugin v6.3.0 ExoPlayer Cast Extension v2.7.0

SDK v6.2.3

16 July 2018

The supported framework uses ExoPlayer 2 v2.7.0

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v6.2.3 [1] FreeWheel AdManager library v6.17.0
IMA plugin v6.2.3 Google IMA v3-3.7.4
OnceUX plugin v6.2.3 onceux-android-library 2.1.17
VMAP plugin v6.2.3 [3] None
Analytics Omniture plugin v6.2.3 [4] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0

SDK v6.2.2

9 July 2018

The supported framework uses ExoPlayer 2 v2.7.0

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v6.2.2 [1] FreeWheel AdManager library v6.17.0
IMA plugin v6.2.2 Google IMA v3-3.7.4
OnceUX plugin v6.2.2 onceux-android-library 2.1.17
VMAP plugin v6.2.2 [3] None
Analytics Omniture plugin v6.2.2 [4] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0

SDK v6.2.1

5 June 2018

The supported framework uses ExoPlayer 2 v2.7.0

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v6.2.1 [1] FreeWheel AdManager library v6.17.0
IMA plugin v6.2.1 Google IMA v3-3.7.4
OnceUX plugin v6.2.1 onceux-android-library 2.1.17
VMAP plugin v6.2.1 [3] None
Analytics Omniture plugin v6.2.1 [4] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0

SDK v6.2.0

18 May 2018

The supported framework uses ExoPlayer 2 v2.7.3

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v6.2.0 [1] FreeWheel AdManager library v6.17.0
IMA plugin v6.2.0 Google IMA v3-3.7.4
OnceUX plugin v6.2.0 onceux-android-library 2.1.17
VMAP plugin v6.2.0 [3] None
Analytics Omniture plugin v6.2.0 [4] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0

SDK v6.1.2

24 Apr 2018

The supported framework uses ExoPlayer 2 v2.5.3

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v6.1.2 [1] FreeWheel AdManager library v6.17.0
IMA plugin v6.1.2 Google IMA v3-3.7.4
OnceUX plugin v6.1.2 onceux-android-library 2.1.17
VMAP plugin v6.1.2 [3] None
Analytics Omniture plugin v6.1.2 [4] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0

SDK v6.1.1

6 Apr 2018

The supported framework uses ExoPlayer 2 v2.5.3

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v6.1.1 [1] FreeWheel AdManager library v6.17.0
IMA plugin v6.1.1 Google IMA v3-3.7.4
OnceUX plugin v6.1.1 onceux-android-library 2.1.17
VMAP plugin v6.1.1 [3] None
Analytics Omniture plugin v6.1.1 [4] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0

SDK v6.1.0

29 Mar 2018

The supported framework uses ExoPlayer 2 v2.5.3

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v6.1.0 [1] FreeWheel AdManager library v6.17.0
IMA plugin v6.1.0 Google IMA v3-3.7.4
OnceUX plugin v6.1.0 onceux-android-library 2.1.17
VMAP plugin v6.1.0 [3] None
Analytics Omniture plugin v6.1.0 [4] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0

SDK v6.0.2

30 Jan 2018

The supported framework uses ExoPlayer 2 v2.5.3

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v6.0.2 [1] FreeWheel AdManager library v6.17.0
IMA plugin v6.0.2 Google IMA v3-3.7.4
OnceUX plugin v6.0.2 onceux-android-library 2.1.17
VMAP plugin v6.0.2 [3] None
Analytics Omniture plugin v6.0.2 [4] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0

SDK v6.0.1

18 Dec 2017

The supported framework uses ExoPlayer 2 v2.5.3

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v6.0.1 [1] FreeWheel AdManager library v6.17.0
IMA plugin v6.0.1 Google IMA v3-3.7.4
OnceUX plugin v6.0.1 onceux-android-library 2.1.17
VMAP plugin v6.0.1 [2] None
Analytics Omniture plugin v6.0.1 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0

SDK v5.2.0

3 Oct 2017

The supported framework uses ExoPlayer v1.5.13.

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v5.2.0 [1] FreeWheel AdManager library v6.17.0
IMA plugin v5.2.0 Google IMA v3-3.7.4
OnceUX plugin v5.2.0 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v5.2.0 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.

SDK v5.1.0

18 Sep 2017

The supported framework uses ExoPlayer v1.5.13.

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v5.1.0 [1] FreeWheel AdManager library v6.10.0
IMA plugin v5.1.0 Google IMA v3-3.7.4
OnceUX plugin v5.1.0 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v5.1.0 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.

SDK v5.0.7

8 Sep 2017

The supported framework uses ExoPlayer v1.5.13.

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v5.0.7 [1] FreeWheel AdManager library v6.10.0
IMA plugin v5.0.7 Google IMA v3-3.7.4
OnceUX plugin v5.0.7 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v5.0.7 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.

SDK v5.0.6

29 Aug 2017

The supported framework uses ExoPlayer v1.5.13.

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v5.0.6 [1] FreeWheel AdManager library v6.10.0
IMA plugin v5.0.6 Google IMA v3-3.7.4
OnceUX plugin v5.0.6 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v5.0.6 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.

SDK v5.0.5

15 Aug 2017

The supported framework uses ExoPlayer v1.5.13.

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v5.0.5 [1] FreeWheel AdManager library v6.10.0
IMA plugin v5.0.5 Google IMA v3-3.7.4
OnceUX plugin v5.0.5 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v5.0.5 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated) [4] [5] android.drm package

SDK v5.0.4

01 Aug 2017

The supported framework uses ExoPlayer v1.5.13.

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v5.0.4 [1] FreeWheel AdManager library v6.10.0
IMA plugin v5.0.4 Google IMA v3-3.1.3
OnceUX plugin v5.0.4 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v5.0.4 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated) [4] [5] android.drm package

SDK v5.0.3

14 July 2017

The supported framework uses ExoPlayer v1.5.13.

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v5.0.3 [1] FreeWheel AdManager library v6.10.0
IMA plugin v5.0.3 Google IMA v3-3.1.3
OnceUX plugin v5.0.3 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v5.0.3 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Google Cast plugin v5.0.3 CastCompanionLibrary- android:2.5.1
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated) [4] [5] android.drm package

SDK v4.13.7

12 July 2017

The supported framework uses ExoPlayer v1.5.13.

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v4.13.7 [1] FreeWheel AdManager library v6.10.0
IMA plugin v4.13.7 Google IMA v3-3.1.3
OnceUX plugin v4.13.7 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v4.13.7 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Google Cast plugin v4.13.7 CastCompanionLibrary- android:2.5.1
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated) [4] [5] android.drm package

SDK v4.13.6

1 May 2017

The supported framework uses ExoPlayer v1.5.13.

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v4.13.6 [1] FreeWheel AdManager library v6.10.0
IMA plugin v4.13.6 Google IMA v3-3.1.3
OnceUX plugin v4.13.6 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v4.13.6 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Google Cast plugin v4.13.6 CastCompanionLibrary- android:2.5.1
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated) [4] [5] android.drm package

SDK v4.13.5

28 Apr 2017

The supported framework uses ExoPlayer v1.5.13.

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v4.13.5 [1] FreeWheel AdManager library v6.10.0
IMA plugin v4.13.5 Google IMA v3-3.1.3
OnceUX plugin v4.13.5 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v4.13.5 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Google Cast plugin v4.13.5 CastCompanionLibrary- android:2.5.1
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated) [4] [5] android.drm package

SDK v4.13.4

14 Apr 2017

The supported framework uses ExoPlayer v1.5.13. Please note that version 4.13.3 is identical to 4.13.4.

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v4.13.4 [1] FreeWheel AdManager library v6.10.0
IMA plugin v4.13.4 Google IMA v3-3.1.3
OnceUX plugin v4.13.4 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v4.13.4 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Google Cast plugin v4.13.4 CastCompanionLibrary- android:2.5.1
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated) [4] [5] android.drm package

SDK v4.13.2

17 Mar 2017

The supported framework uses ExoPlayer v1.5.13.

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v4.13.2 [1] FreeWheel AdManager library v6.10.0
IMA plugin v4.13.2 Google IMA v3-3.1.3
OnceUX plugin v4.13.2 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v4.13.2 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Google Cast plugin v4.13.2 CastCompanionLibrary- android:2.5.1
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated) [4] [5] android.drm package

SDK v4.13.1

16 Feb 2017

The supported framework uses ExoPlayer v1.5.13.

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v4.13.1 [1] FreeWheel AdManager library v6.10.0
IMA plugin v4.13.1 Google IMA v3-3.1.3
OnceUX plugin v4.13.1 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v4.13.1 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Google Cast plugin v4.13.1 CastCompanionLibrary- android:2.5.1
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated) [4] [5] android.drm package

SDK v4.13

25 Jan 2017

The supported framework uses ExoPlayer v1.5.13.

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v4.13.0 [1] FreeWheel AdManager library v6.10.0
IMA plugin v4.13.0 Google IMA v3-3.1.3
OnceUX plugin v4.13.0 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v4.13.0 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Google Cast plugin v4.13.0 CastCompanionLibrary- android:2.5.1
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated) [4] [5] android.drm package

SDK v4.12.2

20 Jan 2017

The supported framework uses ExoPlayer v1.5.13.

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v4.12.2 [1] FreeWheel AdManager library v6.10.0
IMA plugin v4.12.2 Google IMA v3-3.1.3
OnceUX plugin v4.12.2 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v4.12.2 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Google Cast plugin v4.12.2 CastCompanionLibrary- android:2.5.1
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated) [4] [5] android.drm package

SDK v4.12.1

13 Jan 2017

The supported framework uses ExoPlayer v1.5.11.

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v4.12.1 [1] FreeWheel AdManager library v6.10.0
IMA plugin v4.12.1 Google IMA v3-3.1.3
OnceUX plugin v4.12.1 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v4.12.1 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Google Cast plugin v4.12.1 CastCompanionLibrary- android:2.5.1
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated) [4] [5] android.drm package

SDK v4.12.0

5 Jan 2017

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v4.12.0 [1] FreeWheel AdManager library v6.10.0
IMA plugin v4.12.0 Google IMA v3-3.1.3
OnceUX plugin v4.12.0 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v4.12.0 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Google Cast plugin v4.12.0 CastCompanionLibrary- android:2.5.1
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated) [4] [5] android.drm package

SDK v4.11.1

22 Nov 2016

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v4.11.1 [1] FreeWheel AdManager library v6.10.0
IMA plugin v4.11.1 Google IMA v3-3.1.3
OnceUX plugin v4.11.1 onceux-android-library 2.1.17
VMAP [2] None
Analytics Omniture plugin v4.11.1 [3] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Google Cast plugin v4.11.1 CastCompanionLibrary- android:2.5.1
DRM Widevine Modular [4] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated) [4] [5] android.drm package

SDK v4.11.0

01 Nov 2016

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v4.11.0 [1] FreeWheel AdManager library v6.10.0
IMA plugin v4.11.0 Google IMA v3-3.1.3
OnceUX plugin v4.11.0 onceux-android-library 2.1.17
VMAP None
Analytics Omniture plugin v4.11.0 [2] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Google Cast plugin v4.11.0 CastCompanionLibrary- android:2.5.1
DRM Widevine Modular [3] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated) [3] [4] android.drm package

SDK v4.10.0

05 Oct 2016

Supported ExoPlayer v1.5.9

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v4.10.0 FreeWheel AdManager library v6.10.0
IMA plugin v4.10.0 Google IMA v3-3.1.3
OnceUX plugin v4.10.0 onceux-android-library 2.1.17
VMAP None
Analytics Omniture plugin v4.10.0   [1] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Google Cast plugin v4.10.0 CastCompanionLibrary- android:2.5.1
DRM Widevine Modular   [2] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated)  [2] [3] android.drm package

SDK v4.9.2

20 Sep 2016

The following table contains the Brightcove plugins and partner plugin versions associated with the previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v4.9.2 FreeWheel SDK v6.5
IMA plugin v4.9.2 Google IMA v3-3.1.3
OnceUX plugin v4.9.2 onceux-android-library 2.1.17
VMAP None
Analytics Omniture plugin v4.9.2   [1] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Google Cast plugin v4.9.2 CastCompanionLibrary- android:2.5.1
DRM Widevine Modular   [2] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.2 (deprecated)  [2] [3] android.drm package

SDK v4.9.1

26 Aug 2016

The following table contains the Brightcove plugins and partner plugin versions associated with a previous version of the Brightcove Native SDK:

Category Brightcove Plugin Supported Partner/Vendor Plugin
Advertising FreeWheel plugin v4.9.1 FreeWheel SDK v6.5
IMA plugin v4.9.1 Google IMA v3-3.1.3
OnceUX plugin v4.9.1 onceux-android-library 2.1.17
VMAP None
Analytics Omniture plugin v4.9.1   [1] AdobeVideoLibrary 4.11.0

VideoHeartbeat 2.0.0
Chromecast Google Cast plugin v4.9.1 CastCompanionLibrary- android:2.5.1
DRM Widevine Modular   [2] None. The Android framework supports Widevine Modular when using the ExoPlayer Video View.
Widevine Classic plugin v4.9.1   [2] android.drm package